Kafka clusters
Get a Managed Kafka cluster's user's password
Returns the user’s password, which lets the caller act as that user. Returns 409 while Strimzi hasn’t made it live yet or the user is being deleted. Company admins only.
GET
/
kafka-clusters
/
{uuid}
/
managed-users
/
{userUUID}
/
credentials
Get a Managed Kafka cluster's user's password
curl --request GET \
--url https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"user": {
"acls": [
{
"name": "<string>",
"operation": "Read",
"patternType": "literal",
"resourceType": "topic"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"password": "<string>",
"warning": "<string>"
}Authorizations
API key passed as a Bearer token in the Authorization header.
Was this page helpful?
⌘I
Get a Managed Kafka cluster's user's password
curl --request GET \
--url https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artie.com/kafka-clusters/{uuid}/managed-users/{userUUID}/credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"user": {
"acls": [
{
"name": "<string>",
"operation": "Read",
"patternType": "literal",
"resourceType": "topic"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"username": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"password": "<string>",
"warning": "<string>"
}
